<?php
namespace controllers;

/**
 * Error controller
 * @author Jérôme Brilland
 * @version 2.0
 * @copyright (c) 2012-2021, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class ErrorController extends \ActionController {
    
    public function do403() {
        $this->response->setStatus( 403 );
        $this->render( '403.html' );
    }
    
    public function do404() {
        $this->response->setStatus( 404 );
        $this->render( '404.html' );
    }
    
    public function do500() {
        $this->response->setStatus( 500 );
        $this->render( '500.html' );
    }
    
    public function do400() {
        $this->response->setStatus( 400 );
        $this->render( '400.html' );
    }
    
}

